import { $, browser } from "@wdio/globals";
import Page from "./page.js";

/**
 * sub page containing specific selectors and methods for a specific page
 */
export class SignInPage extends Page {
  public static get serverUrlInput() {
    return $("[name=serverUrl]");
  }

  public static async beTheCurrentPage() {
    const urlMatched =
      new URL(await browser.getUrl()).pathname === "/accounts/sign-in";
    const elementShowed = await this.serverUrlInput.isDisplayed();
    return urlMatched && elementShowed;
  }

  /**
   * overwrite specific options to adapt it to page object
   */
  public static async open() {
    return await super.open("accounts/sign-in");
  }
}
